<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Mitarbeiter\DozentenInfo\Detailsreiter\Kurse\vertragsformularpdf;

class PrintVertragsformularController extends \Kufer\KuferTools\Basis\Controller\ToolController
{
  protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase
  {
    return new PrintVertragsformularUseCase($this->getRequestObj());
  }

  protected function getRequestObj()
  {
    $requestObj = new PrintVertragsformularRequest();
    $requestObj->dnr = \GetOperations::getVarValue('dnr');
    $requestObj->knr = \GetOperations::getVarValue('knr');

    return $requestObj;
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new PrintVertragsformularPresenter($pUseCaseResponse);
  }
}